# Get Event types

> Source: https://truto.one/docs/api-reference/unified-calendar-api/eventtypes/get/

`GET /unified/calendar/event_types/{id}`

Resource: **EventTypes** · API: **Unified Calendar API**

## Supported integrations

Cal.com, Calendly

## Path parameters

- **`id`** _(string, required)_
  The ID of the resource.

## Query parameters

- **`integrated_account_id`** _(string, required)_
  The ID of the integrated account to use for the request.
- **`truto_response_format`** _(string)_
  The format of the response. - `unified` returns the response with unified mappings applied. - `raw` returns the unprocessed, raw response from the remote API. - `normalized` applies the unified mappings and returns the data in a normalized format. - `stream` returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory. Defaults to `unified`.
  Allowed: `unified`, `raw`, `normalized`, `stream`
- **`truto_ignore_remote_data`** _(boolean)_
  Excludes the `remote_data` attribute from the response.
- **`truto_exclude_fields`** _(array<string>)_
  Array of fields to exclude from the response.
- **`remote_query`** _(object)_
  Query parameters to pass to the underlying API without any transformations. Refer [this guide](https://truto.one/docs/api-reference/overview/querying#remote-query-parameters) to see how to structure the query parameters.

## Response body

- **`id`** _(string, required)_
  Unique identifier of the Event Type
- **`name`** _(string)_
  Slug or unique readable name of the Event Type
- **`label`** _(string)_
  Human readable name of the Event Type
- **`status`** _(string)_
  Status of the Event Type
  Allowed: `active`, `archived`
- **`urls`** _(array<object>)_
  URLs associated with the Event Type
  - **`url`** _(string)_
  - **`type`** _(string)_
    The type of the URL
    Allowed: `scheduling`
- **`color`** _(string)_
  The color associated with this Event Type
- **`duration`** _(number)_
  The length of the Event scheduled using this Event Type in minutes
- **`description`** _(string)_
  The description of the Event Type
- **`allow_scheduling`** _(boolean)_
  Whether scheduling an Event is allowed using this Event Type
- **`position`** _(number)_
  The position of the Event Type on a listing page
- **`form_fields`** _(array<object>)_
  Form fields associated with the Event Type
  - **`label`** _(string)_
    Label used for the field
  - **`type`** _(string)_
    The type of the form field
    Allowed: `string`, `text`, `rich_text`, `number`, `boolean`, `date`, `datetime`, `time`, `enum`, `array`, `file`
  - **`is_enabled`** _(boolean)_
    Is the form field enabled?
  - **`is_required`** _(boolean)_
    Is the form field required to be answered?
  - **`position`** _(number)_
    Order of the field in the form
  - **`options`** _(array<object>)_
    The choices to be selected in case of multi-choice fields
    - **`label`** _(string)_
      Human readable name for the choice
    - **`value`** _(string)_
      The value for the choice
- **`locations`** _(array<object>)_
  The location choices associated with the Event Type
  - **`id`** _(string)_
    The unique identifier of the location.
  - **`name`** _(string)_
    The name of the location.
  - **`address`** _(object)_
    - **`street_1`** _(string)_
      The first line of the street address.
    - **`street_2`** _(string)_
      The second line of the street address.
    - **`city`** _(string)_
      The city of the address.
    - **`state`** _(string)_
      The state of the address.
    - **`country`** _(string)_
      The country of the address.
    - **`postal_code`** _(string)_
      The postal code of the address.
  - **`url`** _(string)_
    The URL of the location.
  - **`coordinates`** _(object)_
    - **`latitude`** _(number)_
      The latitude of the location.
    - **`longitude`** _(number)_
      The longitude of the location.
- **`created_at`** _(string)_
  The date and time at which this Event Type was created
- **`updated_at`** _(string)_
  The date and time at which this Event Type was last modified
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Code examples

### curl

```bash
curl -X GET 'https://api.truto.one/unified/calendar/event_types/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
```

### JavaScript

```javascript
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/calendar/event_types/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

url = "https://api.truto.one/unified/calendar/event_types/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
```

### Truto TS SDK

```typescript
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.get(
  'calendar',
  'eventtypes',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
```

### Truto Python SDK

```python
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.get(
        "calendar",
        "eventtypes",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())
```
